%global debug_package {%nil}

%global srcname digilent.adept.utilities

Name:           digilent-adept-utilities
Version:        2.1.1
Release:        1%{?dist}
Summary:        Digilent Adept Utilities

Group:          Development/Tools
License:        Commercial
URL:            http://www.digilentinc.com/Products/Detail.cfm?NavPath=2,66,828&Prod=ADEPT2
Source0:        http://www.digilentinc.com/Data/Products/ADEPT2/%{srcname}_%{version}-x86_64.tar.gz
Source1:        http://www.digilentinc.com/Data/Products/ADEPT2/%{srcname}_%{version}-i686.tar.gz
ExclusiveArch:  i686 x86_64


%description
%{summary}


%prep
%setup -q -c -a 1

find . -type f -exec chmod a-x {} \;


%build
# nothing to do

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

pushd %{srcname}_%{version}-%{_target_cpu}

install -p -m 755 bin*/* $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 man/* $RPM_BUILD_ROOT%{_mandir}/man1

popd


%files
%doc %{srcname}_%{version}-%{_target_cpu}/{README,EULA}
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Wed Oct 30 2013 Dan Horák <dan[at]danny.cz> - 2.1.1-2
- use _target_cpu to determine what to install

* Sun May 26 2013 Dan Horák <dan[at]danny.cz> - 2.1.1-1
- initial Fedora version
